Page MenuHomePhabricator

Checkboxes on Special:ListUsers don't work
Closed, ResolvedPublic1 Story Points

Description

Originally noticed by @Drewmutt

At Special:ListUsers on all production wikis (I tried a dozen) using the checkboxes does not change the results at all.

E.g. (all show the same results)
plain search:
https://www.mediawiki.org/wiki/Special:ListUsers?username=Quiddity&group=&wpsubmit=&wpFormIdentifier=mw-listusers-form&limit=
with "Show only users with edits"
https://www.mediawiki.org/wiki/Special:ListUsers?username=Quiddity&group=&wpoptions%5B%5D=editsOnly&wpsubmit=&wpFormIdentifier=mw-listusers-form&limit=
with "Sort in descending order"
https://www.mediawiki.org/wiki/Special:ListUsers?username=Quiddity&group=&wpoptions%5B%5D=desc&wpsubmit=&wpFormIdentifier=mw-listusers-form&limit=


I also tried a mw1.27 wiki, and it seems to work fine there. But I notice it is using different URL parameters:
https://wikiconference.org/wiki/Special:ListUsers
e.g.
plain search
https://wikiconference.org/index.php?title=Special%3AListUsers&username=Quiddity&group=&limit=50
with "Show only users with edits"
https://wikiconference.org/index.php?title=Special%3AListUsers&username=Quiddity&group=&editsOnly=1&limit=50
with "Sort in descending order"
https://wikiconference.org/index.php?title=Special%3AListUsers&username=Quiddity&group=&desc=1&limit=50

If I use those same parameters at mediawikiwiki, it works!
https://www.mediawiki.org/wiki/Special:ListUsers?username=Quiddity&group=&editsOnly=1&creationSort=1&limit=50
So, it is something to do with the
&wpoptions[]=editsOnly&wpoptions[]=creationSort&wpsubmit=&wpFormIdentifier=mw-listusers-form&limit=


@Reedy noted in IRC:
<Reedy> https://github.com/wikimedia/mediawiki/commits/master/includes/specials/SpecialListusers.php
<Reedy> List Users hasn't been changed in a long time
<Reedy> So it's something else

Possibly related to the UI-Standardization work?


See also (from 2013) : T48393: "Sort by creation date" on Special:GlobalUsers does nothing

Details

Related Gerrit Patches:

Event Timeline

Quiddity created this task.Jul 21 2017, 5:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2017, 5:18 PM
Elitre added a subscriber: Elitre.Jul 21 2017, 6:15 PM

I guess this is happening because we're using a multiselect field…

<input tabindex="0" aria-disabled="false" name="wpoptions[]" value="creationSort" id="ooui-4" class="oo-ui-inputWidget-input" type="checkbox">

instead of multiple checks…

<input name="creationSort" value="1" id="creationSort" type="checkbox">

As @Quiddity points out this causes a change in the submitted url, that is &wpoptions%5B%5D=editsOnly instead of &editsOnly=1, and thus breaks functionality.

Change 367122 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/core@master] UserPager: Use multiple checkboxes instead of multiselect

https://gerrit.wikimedia.org/r/367122

I'm sorry, not sure how I missed this in code review. Thanks for the detailed bug report!

Change 367122 merged by jenkins-bot:
[mediawiki/core@master] UserPager: Use multiple checkboxes instead of multiselect

https://gerrit.wikimedia.org/r/367122

Thanks for the detailed bug report!

Indeed!

Change 367384 had a related patch set uploaded (by Bartosz Dziewoński; owner: Prtksxna):
[mediawiki/core@wmf/1.30.0-wmf.10] UserPager: Use multiple checkboxes instead of multiselect

https://gerrit.wikimedia.org/r/367384

I think we should backport and deploy the fix – I scheduled the cherry-pick above for SWAT deployment in a few hours (https://wikitech.wikimedia.org/wiki/Deployments#deploycal-item-20170724T1300), but I might not be around at the time. In the worst case, I'll reschedule it for the evening SWAT.

Change 367384 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.10] UserPager: Use multiple checkboxes instead of multiselect

https://gerrit.wikimedia.org/r/367384

Mentioned in SAL (#wikimedia-operations) [2017-07-24T18:19:29Z] <reedy@tin> Synchronized php-1.30.0-wmf.10/includes/specials/pagers/UsersPager.php: T171332 (duration: 00m 43s)

Jdforrester-WMF closed this task as Resolved.Jul 24 2017, 7:32 PM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF added a project: Editing-team.

Thanks for the detailed bug report!

Indeed!

This is Quiddity for you.